Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ant
[Java] Class CompileTaskSupport

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.MatchingTask
                  org.codehaus.groovy.ant.CompileTaskSupport

    public abstract class CompileTaskSupport
    extends MatchingTask

Support for compilation related tasks.

Authors:
  Jason Dillon

Version:
  \$Id: CompileTaskSupport.java 8071 2007-09-13 17:58:02Z blackdrag \$

Field Summary
`protected Path` | `classpath`
`protected CompilerConfiguration` | `config`
`protected File` | `destdir`
`protected boolean` | `failOnError`
`protected LoggingHelper` | `log`
`protected Path` | `src`

Method Summary
`protected void` | `compile()`
`protected GroovyClassLoader` | `createClassLoader()`
`Path` | `createClasspath()`
`CompilerConfiguration` | `createConfiguration()`
`Path` | `createSrc()`
`void` | `execute()`
`Path` | `getClasspath()`
`boolean` | `getFailonerror()`
`Path` | `getSrcdir()`
`protected void` | `handleException(Exception e)`
`void` | `setClasspath(Path path)`
`void` | `setClasspathRef(Reference r)`
`void` | `setDestdir(File dir)`
`void` | `setFailonerror(boolean fail)`
`void` | `setSrcdir(Path dir)`
`protected void` | `validate()`

Methods inherited from class MatchingTask
add, setProject, setIncludes, addDate, addNot, addAnd, addOr, addContains, createInclude, createIncludesFile, createExclude, createExcludesFile, createPatternSet, XsetItems, setExcludes, XsetIgnore, setDefaultexcludes, setIncludesfile, setExcludesfile, setCaseSensitive, setFollowSymlinks, hasSelectors, selectorCount, getSelectors, selectorElements, appendSelector, addSelector, addNone, addMajority, addSize, addFilename, addCustom, addPresent, addDepth, addDepend, addContainsRegexp, addDifferent, addType, addModified, log, log, log, log, init, execute, setOwningTarget, getOwningTarget, setTaskName, getTaskName, setTaskType, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, maybeConfigure, reconfigure, perform, getTaskType, bindToOwner, clone, getLocation, getDescription, setLocation, getProject, setDescription, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Task
log, log, log, log, init, execute, setOwningTarget, getOwningTarget, setTaskName, getTaskName, setTaskType, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, maybeConfigure, reconfigure, perform, getTaskType, bindToOwner, clone, getLocation, getDescription, setLocation, getProject, setProject, setDescription, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class ProjectComponent
clone, log, log, getLocation, getDescription, setLocation, getProject, setProject, setDescription, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### classpath

    protected Path classpath

### config

    protected CompilerConfiguration config

### destdir

    protected File destdir

### failOnError

    protected boolean failOnError

### log

    protected final LoggingHelper log

### src

    protected Path src

Method Detail

### compile

    protected void compile()

### createClassLoader

    protected GroovyClassLoader createClassLoader()

### createClasspath

    public Path createClasspath()

### createConfiguration

    public CompilerConfiguration createConfiguration()

### createSrc

    public Path createSrc()

### execute

    public void execute()

### getClasspath

    public Path getClasspath()

### getFailonerror

    public boolean getFailonerror()

### getSrcdir

    public Path getSrcdir()

### handleException

    protected void handleException(Exception e)

### setClasspath

    public void setClasspath(Path path)

### setClasspathRef

    public void setClasspathRef(Reference r)

### setDestdir

    public void setDestdir(File dir)

### setFailonerror

    public void setFailonerror(boolean fail)

### setSrcdir

    public void setSrcdir(Path dir)

### validate

    protected void validate()

Copyright © 2003-2010 The Codehaus. All rights reserved.